Bug 248085 - liveinst unnecessarily formats rootfs
liveinst unnecessarily formats rootfs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-13 01:15 EDT by Jane Dogalt
Modified: 2008-01-10 09:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 15:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
INCOMPLETE patch to remove unnecessary format of rootfs in livecd backend (2.92 KB, patch)
2007-07-13 06:27 EDT, Jane Dogalt
no flags Details | Diff
patch to remove unnecessary format of rootfs in livecd backend (3.35 KB, patch)
2007-07-13 09:08 EDT, Jane Dogalt
no flags Details | Diff

  None (edit)
Description Jane Dogalt 2007-07-13 01:15:59 EDT
Description of problem:

During a typical f7livecd install to hard drive, a user would choose a
destination / volume, and choose to format it as ext3.

Anaconda then proceeds to format it, before making that format irrelevant
when it subsequently copies the live ext3 image from live media to the
destination / volume, and then resize2fs it to the full size.

Thus the livecd install process takes much longer than it needs to, depending on
 the size of the volume. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jane Dogalt 2007-07-13 06:27:13 EDT
Created attachment 159146 [details]
INCOMPLETE patch to remove unnecessary format of rootfs in livecd backend

This patch, appears after the most rudimentary of testing, to fix the problem
that caused me to file the bug.  Please review and comment.
Comment 2 Jane Dogalt 2007-07-13 09:08:51 EDT
Created attachment 159170 [details]
patch to remove unnecessary format of rootfs in livecd backend

Ok, so I jumped the gun on the earlier patch.  This one actually works.  It may
well break a million other things, but at least it does what it's supposed to.

I'd be more than happy fix any coding style or other suggestions.  I'm
definitely not a seasoned python programmer.
Comment 3 Jeremy Katz 2007-07-16 15:54:22 EDT
I had looked at this prior to F7, but had been ending up with things more
invasive.  While not entirely elegant, it definitely wins on the simple count
and thus I'll apply it for now and then we'll relook at the question as we
rework partitioning.

Note You need to log in before you can comment on or make changes to this bug.